import { ConfigKeys as T } from "./accelbyte-widgets78.mjs";
const e = "{pageTitle}", n = "{brandName}";
class p {
  static getPageTitle(t, _, L, l) {
    var A, E;
    const N = ((A = t == null ? void 0 : t[T.BRAND_NAME]) == null ? void 0 : A.data.value) || "";
    let a = ((E = t == null ? void 0 : t[T.PAGE_TITLE]) == null ? void 0 : E.data.value) || null;
    return (a == null ? void 0 : a.includes(e)) && l && (a = `${l} | ${a}`), a ? a.replace(e, _).replace(n, N) : L;
  }
}
export {
  p as PageTitleUtils
};
